## ros-melodic-rosflight-utils 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosflight_utils)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  geometry_msgs
  rosflight_msgs
  sensor_msgs
  std_srvs
  rosflight
  rosflight_firmware
  rosbag
  visualization_msgs
)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rosflight_utils
  CATKIN_DEPENDS roscpp rospy rosflight_msgs sensor_msgs std_srvs visualization_msgs
)

add_definitions(-std=c++11)

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

add_library(rosflight_utils
  src/simple_pid.cpp
  src/turbomath.cpp
)
add_dependencies(${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rosflight_utils ${catkin_LIBRARIES})

add_executable(rosflight_postprocess src/rosflight_postprocess.cpp)
target_link_libraries(rosflight_postprocess ${catkin_LIBRARIES} stdc++fs)

add_executable(viz src/viz.cpp)
add_dependencies(viz ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(viz ${catkin_LIBRARIES})

=== debian/changelog ===
ros-melodic-rosflight-utils (1.3.1-1bionic) bionic; urgency=high



 -- gary <gary.ellingson@byu.edu>  Fri, 27 Mar 2020 06:00:00 -0000

ros-melodic-rosflight-utils (1.3.0-1bionic) bionic; urgency=high

  * Cleaned up rc_joy node
  * Cleaned up mag visualization
  * Added attitude visualization
  * Contributors: BillThePlatypus, Cameron McQuinn, Daniel Koch, Jacob Willis, James Jackson, Parker Lusk

 -- gary <gary.ellingson@byu.edu>  Thu, 19 Mar 2020 06:00:00 -0000

ros-melodic-rosflight-utils (1.0.0-1bionic) bionic; urgency=high

  * parse GLONASS nmea sentences
  * headless joy node
  * added xbox to command mappings
  * added Taranis mappings
  * Fixed gps reporting of the number of satellites to report the actual number of satellites instead of a fixed number of 0 when not connected or 4 when connected.
  * Contributors: Daniel Koch, Devon, Gary Ellingson, James Jackson, Jesse Wynn, pmarke, mailto:superjax08@gmail.com

 -- gary <gary.ellingson@byu.edu>  Tue, 13 Mar 2018 06:00:00 -0000

ros-melodic-rosflight-utils (0.1.3-1bionic) bionic; urgency=high

  * Updated package.xml files
  * Contributors: Daniel Koch

 -- gary <gary.ellingson@byu.edu>  Fri, 02 Jun 2017 06:00:00 -0000

ros-melodic-rosflight-utils (0.1.2-1bionic) bionic; urgency=high



 -- gary <gary.ellingson@byu.edu>  Wed, 24 May 2017 06:00:00 -0000

ros-melodic-rosflight-utils (0.1.1-1bionic) bionic; urgency=high

  * Added missing dependencies
  * Contributors: Daniel Koch

 -- gary <gary.ellingson@byu.edu>  Wed, 24 May 2017 06:00:00 -0000

ros-melodic-rosflight-utils (0.1.0-1bionic) bionic; urgency=high

  * Added BSD license statements to source files
    Closes #1 <https://github.com/rosflight/rosflight/issues/1>
  * Replaced outdated package README files with simpler top-level README
    The information that used to be in the package README files is now on the ROS wiki (http://wiki.ros.org/rosflight_pkgs, http://wiki.ros.org/rosflight, etc.)
    Closes #7 <https://github.com/rosflight/rosflight/issues/7>
  * Renamed rosflight_common to rosflight_utils
  * Contributors: Daniel Koch

 -- gary <gary.ellingson@byu.edu>  Mon, 22 May 2017 06:00:00 -0000

=== debian/control ===
Source: ros-melodic-rosflight-utils
Section: misc
Priority: optional
Maintainer: gary <gary.ellingson@byu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-rosflight, ros-melodic-rosflight-firmware, ros-melodic-rosflight-msgs, ros-melodic-rosflight-sim, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-srvs, ros-melodic-visualization-msgs
Homepage: http://rosflight.org
Standards-Version: 3.9.2

Package: ros-melodic-rosflight-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-rosflight, ros-melodic-rosflight-firmware, ros-melodic-rosflight-msgs, ros-melodic-rosflight-sim, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-srvs, ros-melodic-visualization-msgs
Description: Supporting utilities for ROSflight packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosflight-utils//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
